using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

// a version of the Document model designed for user editing

namespace Snootalogue.ViewModels {
	public class EditDocument {
		[Required]
		public int ID { get; set; }
		[Required]
		public string Title { get; set; }
		[UIHint("CommaSeparatedList")]
		public List<string> Authors { get; set; }
		public string Category { get; set; }
		[UIHint("CommaSeparatedList")]
		public List<string> Tags { get; set; }
		public Boolean Read { get; set; }
		public string Notes { get; set; }
	}
}
